NAMEI(1)

NOM
namei - Suivre un chemin jusqu'au premier point terminal

SYNOPSIS
namei [options] chemin ...

DESCRIPTION
namei interprète ses paramètres comme des chemins vers n'importe quel type de fichier UNIX (liens symboliques, fichiers, répertoires, etc.). namei suit alors chaque chemin jusqu'à ce qu'un point final soit trouvé (un fichier, un répertoire, un nœud de périphérique, etc.). Si un lien symbolique est trouvé, celui-ci est affiché puis suivi, en alignant la sortie pour montrer le contexte.

Ce programme est utile pour trouver les problèmes liés aux excès de niveaux de liens symboliques.

Pour chaque ligne de sortie, namei utilise les caractères suivants pour identifier le type de fichier trouvé :

   f: = le chemin parcouru
    d = répertoire
    l = lien symbolique (le lien et son contenu sont affichés)
    s = socket
    b = périphérique bloc
    c = périphérique caractère
    p = FIFO (tube nommé)
    - = fichier régulier
    ? = erreur d'un type quelconque

namei affiche un message d'information lorsque le nombre maximal de liens symboliques possible pour le système a été dépassé.

OPTIONS

-l, --long
    Utiliser le format de résultat long (comme pour -m -o -v).

-m, --modes
    Afficher les permissions de chaque fichier de manière similaire à ls(1). Par exemple : « rwxr-xr-x ».

-o, --owners
    Afficher le propriétaire et le groupe de chaque fichier.

-n, --nosymlinks
    Ne pas suivre les liens symboliques.

-v, --vertical
    Aligner verticalement les modes et propriétaires.

-x, --mountpoints
    Afficher avec un « D » au lieu d'un « d » les répertoires servant de point de montage.

-h, --help
    Afficher un texte d'aide puis quitter.

-V, --version
    Afficher les informations sur la version et quitter.

AUTEUR
Le programme original namei a été écrit par Roger Southwick <rogers@amadeus.wr.tek.com>.

Le programme a été réécrit par Karel Zak <kzak@redhat.com>.

BOGUES
À découvrir.

VOIR AUSSI
ls(1), stat(1)

DISPONIBILITÉ
La commande namei fait partie du paquet util-linux, elle est disponible sur <URL:ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

TRADUCTION
Cette page de manuel a été traduite et est maintenue par Thomas Huriaux <thomas.huriaux@gmail.com> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.